ALTER TABLE PLOVILA
ADD NUM_OF_CREW NUMBER;

DROP VIEW V_SALDKONT;

CREATE OR REPLACE VIEW V_SALDKONT AS (
	SELECT S.ID_SALDKONT AS SALDKONT_ID_SALDKONT, S.N_RACUNA AS SALDKONT_N_RACUNA, S.DATUM AS SALDKONT_DATUM, S.ZA_PLACILO AS SALDKONT_ZA_PLACILO, S.PORABLJENO AS SALDKONT_PORABLJENO, S.VALUTA_RN AS SALDKONT_VALUTA_RN,
  S.DATUM_VALUTACIJE AS SALDKONT_DATUM_VALUTACIJE, S.VRSTA_RACUNA AS SALDKONT_VRSTA_RACUNA, S.USER_KREIRANJA AS SALDKONT_USER_KREIRANJA, S.DATUM_KREIRANJA AS SALDKONT_DATUM_KREIRANJA,
  S.USER_SPREMEMBE AS SALDKONT_USER_SPREMEMBE, S.DATUM_SPREMEMBE AS SALDKONT_DATUM_SPREMEMBE, S.ID_KUPCA AS SALDKONT_ID_KUPCA, S.ID_PLOVILA AS SALDKONT_ID_PLOVILA, S.ZAPRTO AS SALDKONT_ZAPRTO,
  S.SDK_RN_PL AS SALDKONT_SDK_RN_PL, S.SDK_RN_TIP AS SALDKONT_SDK_RN_TIP, S.LASTNIK_OBVESCEN AS SALDKONT_LASTNIK_OBVESCEN, S.STORNO AS SALDKONT_STORNO, S.KOMENTAR AS SALDKONT_KOMENTAR, S.ID_CARDS AS SALDKONT_ID_CARDS, S.ZNESEK AS SALDKONT_ZNESEK,
  S.PROTIVREDNOST AS SALDKONT_PROTIVREDNOST, CASE WHEN S.VALUTA_RN = (SELECT DOMACAVALUTA FROM PARAM) THEN 'Y' ELSE 'N' END AS SALDKONT_DOMESTIC, S.TECAJ_PRERACUN AS SALDKONT_TECAJ_PRERACUN, S.N_KNJIZBE AS SALDKONT_N_KNJIZBE,
  CASE WHEN S.SDK_RN_TIP = 'P' AND EXISTS (SELECT * FROM SALDKONT WHERE ID_SALDKONT = S.ID_SALDKONT_GEN AND SDK_RN_TIP = 'I' AND ZAPRTO = 1) THEN 'Y' ELSE 'N' END AS REC_INV_HAS_CLOSED_ISSUED_INV, 
  S.NCARD AS SALDKONT_NCARD, S.N_LISTINE AS SALDKONT_NLISTINE, S.NNLOCATION_ID AS SALDKONT_NNLOCATION_ID, S.NNFIRMA_ID AS SALDKONT_NNFIRMA_ID, S.ID_DN AS SALDKONT_ID_DN, S.ID_HASH AS SALDKONT_ID_HASH,
  S.PAYMENT_RESPONSE_ID AS SALDKONT_PAYMENT_RESPONSE_ID, S.STATUS AS SALDKONT_STATUS, S.ID_SALDKONT_GEN AS SALDKONT_ID_SALDKONT_GEN, S.ID_EXCHANGE AS SALDKONT_ID_EXCHANGE, S.ID_RACUNA AS SALDKONT_ID_RACUNA,
  S.ID_BATCH AS SALDKONT_ID_BATCH, S.DAVEK_NA_STORITVE AS SALDKONT_DAVEK_NA_STORITVE, S.DAVEK_NA_MATERIAL AS SALDKONT_DAVEK_NA_MATERIAL, S.POPUST AS SALDKONT_POPUST, S.DATUM_ORG AS SALDKONT_DATUM_ORG, 
  S.DATUM_PLACILA AS SALDKONT_DATUM_PLACILA, S.VALUTA_PL AS SALDKONT_VALUTA_PL, S.TECAJ_PL AS SALDKONT_TECAJ_PL, S.TECAJ_VALUTE AS SALDKONT_TECAJ_VALUTE, S.STORNONR AS SALDKONT_STORNO_NR, 
  S.BLAGAJNA AS SALDKONT_BLAGAJNA, S.LOKAC AS SALDKONT_LOKAC, S.TRANSACTION_EXPORT_NR AS SALDKONT_TRANSACTION_EXPORT_NR, S.SKLIC AS SALDKONT_SKLIC, S.ZA_PLACILO - S.PORABLJENO AS OUTSTANDING, 
  (CASE WHEN S.SDK_RN_PL = 'R' THEN S.ZA_PLACILO ELSE NULL END) AS INVOICE_AMOUNT,(CASE WHEN S.SDK_RN_PL = 'P' THEN S.ZA_PLACILO ELSE NULL END) AS PAYMENT_AMOUNT, 
  SF.GOVERNMENT_CODE AS SALDKONT_FISC_GOVERNMENT_CODE,
  R.SUBLEASE_OD AS RACUN_DATA_SUBLEASE_OD, R.SUBLEASE_DO AS RACUN_DATA_SUBLEASE_DO, N.OPIS AS M_NNSTOMAR_OPIS, N.KAT AS M_NNSTOMAR_KAT, N.TIMEKAT AS M_NNSTOMAR_TIMEKAT, N.SUBLEASE AS M_NNSTOMAR_SUBLEASE,
  D.ID_PRINT_DOK AS PRINT_DOK_ID_PRINT_DOK, D.STEVILKA AS PRINT_DOK_STEVILKA, D.OPIS AS PRINT_DOK_OPIS, D.DATOTEKA AS PRINT_DOK_DATOTEKA, D.PDF AS PRINT_DOK_PDF, D.OBJAVI AS PRINT_DOK_OBJAVI,
  K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.SALDAKONTI_SIT AS KUPCI_SALDAKONTI_SIT, K.NASLOV AS KUPCI_NASLOV, K.POSTA AS KUPCI_POSTA, K.MESTO AS KUPCI_MESTO, K.DAVCNA_STEVILKA AS KUPCI_DAVCNA_STEVILKA,
  K.SIFRA_DOB AS KUPCI_SIFRA_DOB, K.INT_CODE AS KUPCI_INT_CODE, K.SEND_EMAILS AS KUPCI_SEND_EMAILS, K.N_KK AS KUPCI_N_KK, K.VRSTA AS KUPCI_VRSTA,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER,
  P.IME AS PLOVILA_IME, KND.OZNAKA AS KUPCI_NDRZAVA_OZNAKA, NC.OPIS AS NNCARDS_OPIS, NC.VRSTA_DENARJA AS NNCARDS_VRSTA_DENARJA, 
  M.ID_PRIVEZ AS M_STORITVE_ID_PRIVEZ, NNP.N_PRIVEZA AS M_STORITVE_NNPRIVEZ_N_PRIVEZA, M.SUBLEASE_PAYMENT AS M_STORITVE_SUBLEASE_PAYMENT, M.KOMENTAR AS M_STORITVE_KOMENTAR, SO.OPIS AS S_OBRACUN_OPIS,
  (CASE WHEN N.OPIS IS NOT NULL THEN N.OPIS ELSE SO.OPIS END) AS ITEM_DESCRIPTION,
  NKNJ.SLO AS NKNJIZBA_OPIS, NKNJ.INTERNI_OPIS AS NKNJIZBA_INTERNI_OPIS, NKNJ.DEPOSIT AS NKNJIZBA_DEPOSIT, 
  PR.STATUS_CODE AS PAYMENT_RESPONSE_STATUS_CODE, PR.MESSAGE AS PAYMENT_RESPONSE_MESSAGE, PR.INTERNAL_STATUS AS PAYMENT_RESPONSE_INT_STATUS, SE.ID_SALDKONT_EDIT
	FROM SALDKONT S
  LEFT OUTER JOIN SALDKONT_FISC SF ON SF.ID_SALDKONT = S.ID_SALDKONT
  LEFT OUTER JOIN RACUN_DATA R ON R.ID_SALDKONT = S.ID_SALDKONT
  LEFT OUTER JOIN M_STORITVE M ON M.ID_STORITVE = R.ID_STORITVE
  LEFT OUTER JOIN S_OBRACUN SO ON SO.ID_OBRACUN = R.ID_OBRACUN
  LEFT OUTER JOIN M_NNSTOMAR N ON N.SIFRA = M.STORITEV
  LEFT OUTER JOIN PRINT_DOK D ON D.MODUL = S.VRSTA_RACUNA AND D.REFERENCA = S.ID_SALDKONT
  LEFT OUTER JOIN KUPCI K ON K.ID = S.ID_KUPCA
  LEFT OUTER JOIN PLOVILA P ON P.ID = S.ID_PLOVILA
  LEFT OUTER JOIN NNCARDS NC ON NC.ID_CARDS = S.ID_CARDS
  LEFT OUTER JOIN NNDRZAVE KND ON KND.SIFRA = K.NDRZAVA
  LEFT OUTER JOIN NNPRIVEZ NNP ON NNP.ID_PRIVEZ = M.ID_PRIVEZ
  LEFT OUTER JOIN NKNJIZBA NKNJ ON NKNJ.SALDKONT = S.VRSTA_RACUNA
  LEFT OUTER JOIN PAYMENT_RESPONSE PR ON PR.ID = S.PAYMENT_RESPONSE_ID
  LEFT OUTER JOIN SALDKONT_EDIT SE ON SE.ID_SALDKONT = S.ID_SALDKONT AND SE.ACT='Y'
  WHERE R.ZAP_ST IS NULL OR R.ZAP_ST = 1
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1546, SYSDATE, '5.5', 1466, 'VSaldkont')
;
