CREATE TABLE INSURANCE_TYPE (
  ID_INSURANCE_TYPE NUMBER NOT NULL,
  DESCRIPTION VARCHAR2(200 CHAR),
  ACTIVE VARCHAR2(1 CHAR),
  CONSTRAINT INSURANCE_TYPE_PK PRIMARY KEY (ID_INSURANCE_TYPE)
);

CREATE SEQUENCE INSURANCE_TYPE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE INSURANCE (
  ID_INSURANCE NUMBER NOT NULL,
  ID_LASTNIKA NUMBER,
  ID_TYPE NUMBER,
  POLICY_NUMBER VARCHAR2(50 CHAR),
  COMPANY VARCHAR2(250 CHAR),
  AMOUNT NUMBER,
  EXPIRY_DATE DATE,
  "COMMENT" VARCHAR2(1000 CHAR),
  CONSTRAINT INSURANCE_PK PRIMARY KEY (ID_INSURANCE),
  CONSTRAINT INSURANCE_KUPCI_ID_FK FOREIGN KEY (ID_LASTNIKA) REFERENCES KUPCI(ID),
  CONSTRAINT INSURANCE_INSURANCE_TYPE_FK FOREIGN KEY (ID_TYPE) REFERENCES INSURANCE_TYPE(ID_INSURANCE_TYPE)
);

ALTER TABLE INSURANCE
ADD ACTIVE VARCHAR2(1 CHAR);

CREATE INDEX IX_INSURANCE_ID_LASTNIKA ON INSURANCE (ID_LASTNIKA);
CREATE INDEX IX_INSURANCE_ID_TYPE ON INSURANCE (ID_TYPE);

CREATE SEQUENCE INSURANCE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_INSURANCE AS (
  SELECT I.ID_INSURANCE, I.ID_LASTNIKA, I.ID_TYPE, I.POLICY_NUMBER, I.COMPANY, I.AMOUNT, I.EXPIRY_DATE, I."COMMENT", I.ACTIVE, IT.DESCRIPTION AS TYPE_DESCRIPTION, 
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END) AS OWNER
  FROM INSURANCE I 
  LEFT OUTER JOIN INSURANCE_TYPE IT ON IT.ID_INSURANCE_TYPE = I.ID_TYPE
  LEFT OUTER JOIN KUPCI KU ON KU.ID = I.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1553, SYSDATE, '5.5', 1473, 'Insurance')
;
