ALTER TABLE LOYALTY
  ADD NNLOCATION_ID NUMBER
;

ALTER TABLE LOYALTY
  ADD CANCELED NUMBER DEFAULT 0
;

UPDATE LOYALTY
SET CANCELED = 1
WHERE ID_RESERVATION IS NOT NULL AND ID_RESERVATION IN (SELECT ID FROM REZERVAC WHERE STATUS_REZERVAC<0)
;

ALTER TABLE NNVRSKUP
 ADD NNLOCATION_ID NUMBER
;

ALTER TABLE NNVRSKUP_ATRIBUTI
  ADD NNLOCATION_ID NUMBER
;

UPDATE LOYALTY
SET NNLOCATION_ID=(SELECT NNLOCATION_ID FROM M_STORITVE WHERE M_STORITVE.ID_STORITVE=LOYALTY.ID_STORITVE)
WHERE ID_STORITVE IS NOT NULL
;

UPDATE LOYALTY
SET NNLOCATION_ID=(SELECT NNLOCATION_ID FROM S_OBRACUN WHERE S_OBRACUN.ID_OBRACUN=LOYALTY.ID_OBRACUN)
WHERE ID_OBRACUN IS NOT NULL
;

UPDATE LOYALTY
SET NNLOCATION_ID=(SELECT NNLOCATION_ID FROM M_POGODBE WHERE M_POGODBE.ID_POGODBE=LOYALTY.ID_POGODBE)
WHERE ID_POGODBE IS NOT NULL
;

UPDATE LOYALTY
SET NNLOCATION_ID=(SELECT M.NNLOCATION_ID FROM REZERVAC R 
JOIN NNPRIVEZ P ON R.ID_PRIVEZ=P.ID_PRIVEZ 
JOIN NNPOMOL M ON P.KATEGORIJA=M.SIFRA WHERE R.ID=LOYALTY.ID_RESERVATION)
WHERE ID_RESERVATION IS NOT NULL
;

DROP VIEW V_NNVRSKUP_ATRIBUTI
;

CREATE OR REPLACE VIEW V_NNVRSKUP_ATRIBUTI AS (
SELECT NA.ID, NA.SIFRA_VRSKUP, NA.CVREDNOST, NA.NVREDNOST, NA.DVREDNOST, NA.TYPE_COMPARE, NA.COMPARE_ID, NA.MANDATORY, NA.ACTIVE,
VRS.OPIS AS NNVRSKUP_OPIS, TSIF.NAZIV_SIFRANT AS TYPE_COMPARE_OPIS, NA.NNLOCATION_ID
FROM NNVRSKUP_ATRIBUTI NA
LEFT OUTER JOIN NNVRSKUP VRS ON VRS.SIFRA = NA.SIFRA_VRSKUP
LEFT OUTER JOIN SIFRANT TSIF ON TSIF.STRINGTABLE = 'NNVRSKUP_ATRIBUTI' AND TSIF.ID_STRING = 'TYPE_COMPARE' AND TSIF.KODA_SIFRANT = NA.TYPE_COMPARE
)
;

DROP VIEW V_NNVRSKUP
;

CREATE OR REPLACE VIEW V_NNVRSKUP AS (
SELECT N.SIFRA, N.OPIS, N.INTERNI_OPIS, N.VRSTA, N.TRANSFER_FB, N.BARVA, N.NOTE, N.ACTIVE, N.COLOR_PRIORITY, 
  S.NAZIV_SIFRANT AS VRSTA_NAZIV_SIFRANT, S.PRIVZETA_VR AS VRSTA_PRIVZETA_VR, S.INTERNI_OPIS AS VRSTA_INTERNI_OPIS, S.ID_SIFRANT AS VRSTA_ID_SIFRANT, N.NNLOCATION_ID
FROM NNVRSKUP N
LEFT OUTER JOIN SIFRANT S ON S.STRINGTABLE = 'NNVRSKUP' AND S.ID_STRING = 'VRSTA' AND S.KODA_SIFRANT = N.VRSTA
)
;

DROP INDEX NNATRIBUTI_IX1
;

CREATE INDEX NNATRIBUTI_IX1 ON NNVRSKUP_ATRIBUTI (SIFRA_VRSKUP, SIFRA_ATRIBUT, COMPARE_ID, TYPE_COMPARE)
;

Insert into NNATRIBUTI (SIFRA,OPIS,INTERNI_OPIS,TIP,ACTIVE,EVALUATE) values ('LOY','Loyalty','Loyalty','LOYALTY','Y',NULL)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1616, SYSDATE, '5.5', 1536, 'Loyalty')
;